--- old/usr/src/lib/libmvec/common/__vcos.c	2014-05-11 12:16:31.898023195 +0200
+++ new/usr/src/lib/libmvec/common/__vcos.c	2014-05-11 12:16:32.114099177 +0200
@@ -28,6 +28,7 @@
  */
 
 #include <sys/isa_defs.h>
+#include <sys/ccompile.h>
 
 #ifdef _LITTLE_ENDIAN
 #define HI(x)	*(1+(int*)x)
@@ -98,10 +99,9 @@
 {
 	double		x0_or_one[4], x1_or_one[4], x2_or_one[4];
 	double		y0_or_zero[4], y1_or_zero[4], y2_or_zero[4];
-	double		x0, x1, x2, *py0, *py1, *py2, *xsave, *ysave;
-	unsigned	hx0, hx1, hx2, xsb0, xsb1, xsb2;
-	int			i, biguns, nsave, sxsave, sysave;
-
+	double		x0, x1, x2, *py0 = 0, *py1 = 0, *py2, *xsave, *ysave;
+	unsigned	hx0, hx1, hx2, xsb0, xsb1 = 0, xsb2;
+	int		i, biguns, nsave, sxsave, sysave;
 	nsave = n;
 	xsave = x;
 	sxsave = stridex;
@@ -122,7 +122,6 @@
 		}
 		if ( hx0 < 0x3e400000 ) {
 			/* Too small.  cos x ~ 1. */
-			volatile int v = *x;
 			*y = 1.0;
 			x += stridex;
 			y += stridey;
@@ -149,7 +148,6 @@
 		}
 		if ( hx1 < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = 1.0;
 			x += stridex;
 			y += stridey;
@@ -176,7 +174,6 @@
 		}
 		if ( hx2 < 0x3e400000 )
 		{
-			volatile int v = *x;
 			*y = 1.0;
 			x += stridex;
 			y += stridey;
